#ifndef	EVENTPROC_H
#define	EVENTPROC_H

typedef	int (*ProcFunc)(XEvent *);

typedef	struct _ProcList {
	struct _ProcList *next;
	ProcFunc func;
}	ProcList;

#define	NPROCLIST 1024

extern	ProcList proclistarea[ ];

extern	ProcList *add_proc(ProcList **, const ProcFunc);
extern	void	delete_proc(ProcList **, ProcList *);
extern	int	process_proc(const ProcList *, XEvent *);

#endif
