.\" @(#)xtuitate.1 4.0 97/06/24 SMI; KMC presents
.TH XTUITATE 1 "24 June 1997"
.SH NAME
xtuitate \- client for tuitate shogi on X window system.
.SH SYNOPSIS
.B xtuitate
[
.BI \-s " server-name"
] 
[
.BI \-server " server-name"
] 
[
.BI \-d " display-name"
] 
[
.BI \-display " display-name"
] 
[
.B \-nb
]
[
.B \-nobell
]
[
.B \-nf
]
[
.B \-newfile
]
[
.B \-autoraise
]
[
.BI \-background " xpm-filename"
]
[
.B \-h
]
[
.B \-help
]
.SH DESCRIPTION
.B Xtuitate
serves tuitate shogi game service for X window system users.
.B Xtuitate
supports three kind of services.
.IR game
service,
.IR view
service, and
.IR notation
service. To enjoy these services, users must connect to a tuitate server.
As server, tuitated is available.
Users can play tuitate shogi with opponents on other type of tuitate clients,
for example, Emacs tuitate(client for GNU Emacs) and some other clients.
.LP
.IR Game
service is the service of a tutiate shogi game for two players.
First, one player selects opponent player.
Then they play a game.
After the game ended, players can review the game.
.LP
.IR View
service enable tuitate clients to view current games.
Users select which game to view, and view it.
.LP
.IR Notation
service enable tuitate clients to view notations of games which played before.
Users select which notation to view, and view it.
.LP
.SH OPTIONS
.TP
.BI \-s " server-name" \ ,\ \-server " server-name"
Select a server on which a tuitated is running.
.TP
.BI \-d " display-name" \ ,\ \-display " display-name"
Assign display name on which users want to run xtuitate.
.TP
.B \-nb ,\ \-nobell
Not ring alarm when turn comes.
.TP
.B \-nf ,\ \-newfile
Reinput names and addresses of users.
.TP
.B \-autoraise
Raise xtuitate window  when turn comes.
.TP
.BI \-background " xpm-filename"
Assign background pixmap of xtuitate window.
.TP
.B \-h ,\ \-help
Show simple help.
.LP
.SH CONFIGURATION
.LP
.B Tuitated
read
.IR configuration-file.
.IR Configuration-file
can be specified with command line option.
Default
.IR configuration-file
is /home/shin/tmp/lib/tuitated/tuitated.conf.
Each lines in
.IR configuration-file
contains
.IR keyword
and
.IR value.
If there is '#' at head of the line, that line is parsed as comment.
.SS Keywords
.TP
.BI PORT
Specify port number.
.IR Value
should be decimal number.
This configuration is override in command line with
.B \-p
line option.
Default port nubmer is included to the binary of
.B tuitated
when it is compiled.
.TP
.BI ACCESSLOG
Specify log file which
.B tuitated
logs the messages from clients and the messages to cleints.
.IR Value
should be the absolute path of the file.
.TP
.BI SERVICELOG
Specify log file which
.B tuitated
logs what kind of services are served.
.IR Value
should be the absolute path of the file.
.TP
.BI ERRORLOG
Specify log file which
.B tuitated
logs errors(This log is important).
.IR Value
should be the absolute path of the file.
.TP
.BI EXPORTDIR
Specify the directory which contains the files to be exported by
.B tuitated
with HTTP.
.IR Value
should be the absolute path of the directory.
.TP
.BI NOTATIONFILE
Specify the file in which
.B tuitated
save notations.
.IR Value
should be the absolute path of the file.
.SS Example
This line specify 10040 as the port to use.
.LP
.ft B
PORT	10040
.ft R
.LP
Next line specify in which file to log error message.
.LP
.ft B
ERRORLOG	/home/shin/tmp/lib/tuitated/log/error.log
.ft R
.SH FILES
.PD 0
.TP 20
.B ~/.xtuitate
	configuration file
.SH AUTHORS
.B Xtuitate
is presented by KMC(Kyoto university Micro computer Club).
The authors of
.B Xtuitate
are Kouhei Uchida , Kousuke Takai and some KMC programmers.
