#ifndef	COMMDATA_H
#define COMMDATA_H

#include "xdata.h"

						/* for return of WaitComm() */
#define FROM_SERVER			0
#define FROM_DISPLAY		1
#define FROM_OTHER			2

#define	TUP_LINE_MAX	256

int SendData(char *buff, int len);
int RecvData(char *buff, int len);
int WaitComm(void);
int IsInclude(char **wordbuff, const char *str, int start, int end);
int splittr(char *buff, char **minibuff, int maxword, const char delimiter);
int CutStr(char *buff, char **minibuff, char token);

int token_equal(char **, const char *);
int fetch_numerical_token(char **);
void closeConnection(void);

int setup_connection(const char *, const char *);

#define	CONNECT_HostNameLookupFailue	-1
#define	CONNECT_NonRecoverableError	-2
#define	CONNECT_ServiceLookupFailue	-3
#define	CONNECT_NoServiceSpecified	-4
#define	CONNECT_SocketError		-5
#endif
