	.file	"commdata.c"
	.version	"01.01"
gcc2_compiled.:
.data
	.align 4
	.type	 sock_desc,@object
	.size	 sock_desc,4
sock_desc:
	.long 0
.section	.rodata
.LC0:
	.string	"localhost"
.LC1:
	.string	"Error: `%s' is unknown.\n"
.LC2:
	.string	"Error: `%s' is valid but does not have an IP address.\n"
.LC3:
	.string	"Error: A non-recoverable name server error occurred.\n"
.LC4:
	.string	"Fatal Error: Undefined error occured, h_errno = %d\n"
.LC5:
	.string	"A temporary error occurred on an authoritative name server. Retrying...\n"
.LC6:
	.string	"Socket allocation"
.LC7:
	.string	"Trying %s(%d"
.LC8:
	.string	".%d"
.LC9:
	.string	"):%u ...\n"
.LC10:
	.string	"CONNECT"
.LC11:
	.string	"Connection established.\n"
.text
	.align 4
.globl setclient
	.type	 setclient,@function
setclient:
	pushl %ebp
	movl %esp,%ebp
	subl $20,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%edi
	movw 12(%ebp),%dx
	movw %dx,-20(%ebp)
	movl %edi,%ebx
	testl %edi,%edi
	jne .L9
	movl $.LC0,%ebx
	.align 4
.L9:
	pushl %ebx
	call gethostbyname
	movl %eax,%esi
	addl $4,%esp
	testl %esi,%esi
	jne .L10
	movl h_errno,%eax
	cmpl $2,%eax
	je .L12
	jg .L19
	cmpl $1,%eax
	je .L13
	jmp .L17
	.align 4
.L19:
	cmpl $3,%eax
	je .L15
	cmpl $4,%eax
	je .L14
	jmp .L17
	.align 4
.L13:
	pushl %edi
	pushl $.LC1
	jmp .L33
	.align 4
.L14:
	pushl %edi
	pushl $.LC2
.L33:
	pushl $_IO_stderr_
	call fprintf
	movl $-1,%eax
	jmp .L32
	.align 4
.L15:
	pushl $.LC3
	pushl $_IO_stderr_
	call fprintf
	movl $-1,%eax
	jmp .L32
	.align 4
.L17:
	pushl h_errno
	pushl $.LC4
	pushl $_IO_stderr_
	call fprintf
	pushl $1
	call exit
	.align 4
.L12:
	pushl $.LC5
	pushl $_IO_stderr_
	call fprintf
	pushl $1
	call sleep
	addl $12,%esp
	jmp .L9
	.align 4
.L10:
	pushl $16
	leal -16(%ebp),%eax
	pushl %eax
	call bzero
	movw $2,-16(%ebp)
	addl $8,%esp
	movw -20(%ebp),%ax
#APP
	xchgb %al,%ah
#NO_APP
	movw %ax,-14(%ebp)
	pushl 12(%esi)
	leal -12(%ebp),%eax
	pushl %eax
	movl 16(%esi),%eax
	pushl (%eax)
	call bcopy
	pushl $0
	pushl $1
	pushl $2
	call socket
	movl %eax,%edi
	addl $24,%esp
	testl %edi,%edi
	jge .L23
	pushl $.LC6
	jmp .L34
	.align 4
.L23:
	testb $64,debug+1
	je .L24
	movl 16(%esi),%eax
	movl (%eax),%eax
	movzbl (%eax),%eax
	pushl %eax
	pushl (%esi)
	pushl $.LC7
	pushl $_IO_stderr_
	call fprintf
	movl $1,%ebx
	addl $16,%esp
	cmpl %ebx,12(%esi)
	jle .L26
	.align 4
.L28:
	movl 16(%esi),%eax
	movl (%eax),%eax
	movzbl (%ebx,%eax),%eax
	pushl %eax
	pushl $.LC8
	pushl $_IO_stderr_
	call fprintf
	addl $12,%esp
	incl %ebx
	cmpl %ebx,12(%esi)
	jg .L28
.L26:
	movzwl -20(%ebp),%eax
	pushl %eax
	pushl $.LC9
	pushl $_IO_stderr_
	call fprintf
	addl $12,%esp
.L24:
	pushl $16
	leal -16(%ebp),%eax
	pushl %eax
	pushl %edi
	call connect
	addl $12,%esp
	testl %eax,%eax
	je .L30
	pushl $.LC10
.L34:
	call perror
	movl $-1,%eax
	jmp .L32
	.align 4
.L30:
	testb $64,debug+1
	je .L31
	pushl $.LC11
	pushl $_IO_stderr_
	call fprintf
.L31:
	movl $sock_io_buf,sock_io_ptr
	movl $0,sock_io_cnt
	movl %edi,sock_desc
	movl %edi,%eax
.L32:
	leal -32(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe1:
	.size	 setclient,.Lfe1-setclient
.section	.rodata
.LC12:
	.string	"Connection closed by TUITATE server.\n"
.LC13:
	.string	"Socket read"
.text
	.align 4
.globl sock_getc
	.type	 sock_getc,@function
sock_getc:
	pushl %ebp
	movl %esp,%ebp
	cmpl $0,sock_io_cnt
	jne .L36
	pushl $1024
	pushl $sock_io_buf
	pushl sock_desc
	call read
	addl $12,%esp
	testl %eax,%eax
	jne .L37
	pushl $.LC12
	pushl $_IO_stderr_
	call fprintf
	pushl $1
	call exit
	.align 4
.L37:
	cmpl $-1,%eax
	jne .L38
	pushl $.LC13
	call perror
	pushl $1
	call exit
	.align 4
.L38:
	movl %eax,sock_io_cnt
	movl $sock_io_buf,sock_io_ptr
.L36:
	decl sock_io_cnt
	movl sock_io_ptr,%eax
	movzbl (%eax),%eax
	incl sock_io_ptr
	leave
	ret
.Lfe2:
	.size	 sock_getc,.Lfe2-sock_getc
.section	.rodata
.LC14:
	.string	"Sending:   %s"
.LC15:
	.string	"Socket write"
.text
	.align 4
.globl SendData
	.type	 SendData,@function
SendData:
	pushl %ebp
	movl %esp,%ebp
	pushl %ebx
	movl 8(%ebp),%ebx
	testb $1,debug+2
	je .L41
	pushl %ebx
	pushl $.LC14
	pushl $_IO_stderr_
	call fprintf
	addl $12,%esp
.L41:
	pushl 12(%ebp)
	pushl %ebx
	pushl sock_desc
	call write
	addl $12,%esp
	testl %eax,%eax
	jge .L42
	pushl $.LC15
	call perror
	pushl $1
	call exit
	.align 4
.L42:
	movl -4(%ebp),%ebx
	leave
	ret
.Lfe3:
	.size	 SendData,.Lfe3-SendData
.section	.rodata
.LC16:
	.string	"Receiving: "
.LC17:
	.string	"Line too long.\n"
.text
	.align 4
.globl RecvData
	.type	 RecvData,@function
RecvData:
	pushl %ebp
	movl %esp,%ebp
	subl $4,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%edi
	movl %edi,%esi
	movl %edi,%edx
	addl 12(%ebp),%edx
	movl %edx,-4(%ebp)
	testb $1,debug+2
	je .L47
	pushl $.LC16
	pushl $_IO_stderr_
	call fprintf
	addl $8,%esp
	.align 4
.L47:
	cmpl %esi,-4(%ebp)
	ja .L48
	pushl $.LC17
	pushl $_IO_stderr_
	call fprintf
	pushl $1
	call exit
	.align 4
.L48:
	call sock_getc
	movb %al,%bl
	testb $1,debug+2
	je .L49
	pushl $_IO_stderr_
	movsbl %bl,%eax
	pushl %eax
	call fputc
	addl $8,%esp
.L49:
	cmpb $10,%bl
	je .L46
	movb %bl,(%esi)
	incl %esi
	jmp .L47
	.align 4
.L46:
	movb $0,(%esi)
	movl %esi,%eax
	subl %edi,%eax
	leal -16(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe4:
	.size	 RecvData,.Lfe4-RecvData
.section	.rodata
.LC18:
	.string	"SELECT"
.text
	.align 4
.globl WaitComm
	.type	 WaitComm,@function
WaitComm:
	pushl %ebp
	movl %esp,%ebp
	subl $132,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	pushl $1
	pushl xdata
	call XEventsQueued
	addl $8,%esp
	testl %eax,%eax
	jne .L59
	pushl xdata
	call XFlush
	leal -128(%ebp),%ebx
	xorl %eax,%eax
	movl $32,%ecx
	movl %ebx,%edi
#APP
	cld ; rep ; stosl
#NO_APP
	movl sock_desc,%eax
#APP
	btsl %eax,-128(%ebp)
#NO_APP
	movl xdata,%ecx
	movl 8(%ecx),%ecx
#APP
	btsl %ecx,-128(%ebp)
#NO_APP
	movl xdata,%edi
	movl 8(%edi),%esi
	movl sock_desc,%edx
	addl $4,%esp
	cmpl %edx,%esi
	jge .L54
	movl %edx,%esi
.L54:
	incl %esi
	pushl $0
	pushl $0
	pushl $0
	pushl %ebx
	pushl %esi
	call select
	addl $20,%esp
	testl %eax,%eax
	jge .L55
	pushl $.LC18
	call perror
	pushl $1
	call exit
	.align 4
.L55:
	movl sock_desc,%eax
#APP
	btl %eax,-128(%ebp) ; setb %al
#NO_APP
	movb %al,-132(%ebp)
	testb %al,%al
	jne .L56
.L59:
	movl $1,%eax
	jmp .L58
	.align 4
.L56:
	xorl %eax,%eax
.L58:
	leal -144(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe5:
	.size	 WaitComm,.Lfe5-WaitComm
	.align 4
.globl IsInclude
	.type	 IsInclude,@function
IsInclude:
	pushl %ebp
	movl %esp,%ebp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 20(%ebp),%edi
	xorl %esi,%esi
	movl 16(%ebp),%ebx
	cmpl %edi,%ebx
	jg .L62
	.align 4
.L64:
	pushl 12(%ebp)
	movl 8(%ebp),%edx
	pushl (%edx,%ebx,4)
	call strcmp
	addl $8,%esp
	testl %eax,%eax
	jne .L63
	incl %esi
.L63:
	incl %ebx
	cmpl %edi,%ebx
	jle .L64
.L62:
	movl %esi,%eax
	leal -12(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe6:
	.size	 IsInclude,.Lfe6-IsInclude
	.align 4
.globl splitstr
	.type	 splitstr,@function
splitstr:
	pushl %ebp
	movl %esp,%ebp
	pushl %esi
	pushl %ebx
	movl 12(%ebp),%esi
	movl 16(%ebp),%ebx
	movb 20(%ebp),%cl
	xorl %eax,%eax
	movl 8(%ebp),%edx
	cmpb $0,(%edx)
	je .L69
	jmp .L84
	.align 4
	.align 4
.L73:
	incl %edx
.L84:
	cmpb %cl,(%edx)
	je .L73
	cmpb $0,(%edx)
	je .L69
	movl %edx,(%esi,%eax,4)
	incl %eax
	cmpb $0,(%edx)
	je .L69
	.align 4
.L80:
	cmpb %cl,(%edx)
	je .L77
	incl %edx
	cmpb $0,(%edx)
	jne .L80
.L77:
	cmpb $0,(%edx)
	je .L69
	movb $0,(%edx)
	incl %edx
	cmpl %ebx,%eax
	je .L69
	cmpb $0,(%edx)
	jne .L84
.L69:
	leal -8(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
.Lfe7:
	.size	 splitstr,.Lfe7-splitstr
	.align 4
.globl CutStr
	.type	 CutStr,@function
CutStr:
	pushl %ebp
	movl %esp,%ebp
	subl $12,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movb 16(%ebp),%dl
	movb %dl,-4(%ebp)
	xorl %ecx,%ecx
	xorl %ebx,%ebx
	movl $0,-12(%ebp)
	movl 12(%ebp),%esi
	.align 4
.L88:
	movb -4(%ebp),%dl
	movl 8(%ebp),%edi
	cmpb %dl,(%ecx,%edi)
	jne .L89
	movl (%esi),%eax
	movb $0,(%ebx,%eax)
	incl %ecx
	xorl %ebx,%ebx
	addl $4,%esi
	incl -12(%ebp)
.L89:
	movl 8(%ebp),%edx
	movb (%ecx,%edx),%dl
	movb %dl,-8(%ebp)
	testb %dl,%dl
	je .L90
	movl (%esi),%eax
	movb %dl,(%ebx,%eax)
	incl %ecx
	incl %ebx
	jmp .L88
	.align 4
.L90:
	movl -12(%ebp),%edi
	movl 12(%ebp),%edx
	movl (%edx,%edi,4),%eax
	movb $0,(%ebx,%eax)
	movl -12(%ebp),%eax
	incl %eax
	leal -24(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe8:
	.size	 CutStr,.Lfe8-CutStr
	.align 4
.globl token_equal
	.type	 token_equal,@function
token_equal:
	pushl %ebp
	movl %esp,%ebp
	pushl %ebx
	movl 8(%ebp),%ebx
	movl (%ebx),%edx
	movl 12(%ebp),%ecx
	jmp .L111
	.align 4
	.align 4
.L95:
	incl %edx
.L111:
	movb (%edx),%al
	cmpb $32,%al
	je .L95
	cmpb $9,%al
	je .L95
	cmpb $0,(%ecx)
	je .L108
	.align 4
.L99:
	movb (%ecx),%al
	cmpb %al,(%edx)
	jne .L112
	incl %edx
	incl %ecx
	cmpb $0,(%ecx)
	jne .L99
.L108:
	movb (%edx),%al
	testb %al,%al
	je .L113
	cmpb $32,%al
	je .L105
	cmpb $9,%al
	je .L113
.L112:
	xorl %eax,%eax
	jmp .L107
	.align 4
	.align 4
.L105:
	incl %edx
.L113:
	movb (%edx),%al
	cmpb $32,%al
	je .L105
	cmpb $9,%al
	je .L105
	movl %edx,(%ebx)
	movl $1,%eax
.L107:
	movl -4(%ebp),%ebx
	leave
	ret
.Lfe9:
	.size	 token_equal,.Lfe9-token_equal
	.align 4
.globl fetch_numerical_token
	.type	 fetch_numerical_token,@function
fetch_numerical_token:
	pushl %ebp
	movl %esp,%ebp
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%esi
	movl (%esi),%ecx
	xorl %ebx,%ebx
	.align 4
.L115:
	movb (%ecx),%dl
	movb %dl,%al
	addb $-48,%al
	cmpb $9,%al
	jbe .L118
	movl $-1,%eax
	jmp .L125
	.align 4
.L118:
	leal (%ebx,%ebx,8),%eax
	leal -48(%ebx,%eax),%eax
	movsbl %dl,%edx
	leal (%edx,%eax),%ebx
	incl %ecx
	movb (%ecx),%al
	testb %al,%al
	je .L128
	cmpb $32,%al
	je .L123
	cmpb $9,%al
	jne .L115
	jmp .L128
	.align 4
	.align 4
.L123:
	incl %ecx
	movb (%ecx),%al
.L128:
	cmpb $32,%al
	je .L123
	cmpb $9,%al
	je .L123
	movl %ecx,(%esi)
	movl %ebx,%eax
.L125:
	leal -8(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
.Lfe10:
	.size	 fetch_numerical_token,.Lfe10-fetch_numerical_token
.section	.rodata
.LC19:
	.string	"QUIT\n"
.text
	.align 4
.globl send_quit
	.type	 send_quit,@function
send_quit:
	pushl %ebp
	movl %esp,%ebp
	pushl $5
	pushl $.LC19
	call SendData
	leave
	ret
.Lfe11:
	.size	 send_quit,.Lfe11-send_quit
	.align 4
.globl closeConnection
	.type	 closeConnection,@function
closeConnection:
	pushl %ebp
	movl %esp,%ebp
	movl sock_desc,%eax
	testl %eax,%eax
	je .L131
	pushl %eax
	call close
.L131:
	leave
	ret
.Lfe12:
	.size	 closeConnection,.Lfe12-closeConnection
	.align 4
	.type	 itoa_sub,@function
itoa_sub:
	pushl %ebp
	movl %esp,%ebp
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%esi
	movl 12(%ebp),%eax
	movl $10,%ecx
	xorl %edx,%edx
	divl %ecx
	movl %edx,%ebx
	testl %eax,%eax
	je .L133
	pushl %eax
	pushl %esi
	call itoa_sub
	movl %eax,%esi
.L133:
	orb $48,%bl
	movb %bl,(%esi)
	incl %esi
	movl %esi,%eax
	leal -8(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
.Lfe13:
	.size	 itoa_sub,.Lfe13-itoa_sub
.section	.rodata
.LC20:
	.string	"(null)"
.LC21:
	.string	"Error: Line too long: \"%.*s\"\n"
.text
	.align 4
	.type	 sendPrintf,@function
sendPrintf:
	pushl %ebp
	movl %esp,%ebp
	subl $280,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%edi
	leal -256(%ebp),%ebx
	movl $256,%esi
	leal 12(%ebp),%ecx
	movl %ecx,-280(%ebp)
	movb (%edi),%al
	incl %edi
	testb %al,%al
	je .L136
	leal -268(%ebp),%ecx
	movl %ecx,-272(%ebp)
	.align 4
.L137:
	cmpb $37,%al
	jne .L151
	movb (%edi),%al
	incl %edi
	cmpb $100,%al
	je .L140
	cmpb $115,%al
	je .L142
	jmp .L151
	.align 4
.L140:
	addl $4,-280(%ebp)
	movl -280(%ebp),%ecx
	pushl -4(%ecx)
	pushl -272(%ebp)
	call itoa_sub
	movb $0,(%eax)
	movl -272(%ebp),%edx
	addl $8,%esp
	jmp .L141
	.align 4
.L142:
	addl $4,-280(%ebp)
	movl -280(%ebp),%ecx
	movl -4(%ecx),%edx
	testl %edx,%edx
	jne .L141
	movl $.LC20,%edx
.L141:
	cmpb $0,(%edx)
	je .L135
	.align 4
.L146:
	decl %esi
	je .L148
	movb (%edx),%al
	movb %al,(%ebx)
	incl %edx
	incl %ebx
	cmpb $0,(%edx)
	jne .L146
	jmp .L135
	.align 4
.L151:
	decl %esi
	jne .L154
.L148:
	leal -256(%ebp),%eax
	pushl %eax
	pushl $256
	pushl $.LC21
	pushl $_IO_stderr_
	call fprintf
	pushl $1
	call exit
	.align 4
.L154:
	movb %al,(%ebx)
	incl %ebx
.L135:
	movb (%edi),%al
	incl %edi
	testb %al,%al
	jne .L137
.L136:
	movb $10,(%ebx)
	movl $257,%ebx
	subl %esi,%ebx
	pushl %ebx
	leal -256(%ebp),%eax
	pushl %eax
	pushl sock_desc
	call write
	addl $12,%esp
	cmpl %ebx,%eax
	jae .L156
	pushl $.LC15
	call perror
	pushl $1
	call exit
	.align 4
.L156:
	leal -292(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.Lfe14:
	.size	 sendPrintf,.Lfe14-sendPrintf
	.local	sock_io_buf
	.comm	sock_io_buf,1024,1
	.local	sock_io_ptr
	.comm	sock_io_ptr,4,4
	.local	sock_io_cnt
	.comm	sock_io_cnt,4,4
	.ident	"GCC: (GNU) 2.7.2.3"
